Bug 590690 (CVE-2010-1634) - CVE-2010-1634 python: audioop: incorrect integer overflow checks
Summary: CVE-2010-1634 python: audioop: incorrect integer overflow checks
Status: CLOSED ERRATA
Alias: CVE-2010-1634
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100510,reported=20091126,sou...
Keywords: Security
Depends On: 595760 645880 693954
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 13:52 UTC by Tomas Hoger
Modified: 2016-03-04 11:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-27 15:43:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (python 2.6) (6.17 KB, patch)
2010-05-10 13:53 UTC, Tomas Hoger
no flags Details | Diff
Proposed patch (python 2.4) (4.09 KB, patch)
2010-05-10 13:53 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0027 normal SHIPPED_LIVE Low: python security, bug fix, and enhancement update 2011-01-13 10:58:29 UTC
Red Hat Product Errata RHSA-2011:0491 normal SHIPPED_LIVE Moderate: python security update 2011-05-05 18:56:24 UTC

Description Tomas Hoger 2010-05-10 13:52:09 UTC
Python SVN commit r64114 added integer overflow checks to multiple python module:

  http://svn.python.org/view?view=rev&revision=64114

All the issue got covered under single CVE - CVE-2008-3143.

Checks added to audioop (and rgbimg, see bug #541698) were incorrect and possible to bypass:

  http://bugs.python.org/issue8674

Comment 1 Tomas Hoger 2010-05-10 13:53:04 UTC
Created attachment 412843 [details]
Proposed patch (python 2.6)

Comment 2 Tomas Hoger 2010-05-10 13:53:25 UTC
Created attachment 412844 [details]
Proposed patch (python 2.4)

Comment 3 Tomas Hoger 2010-05-25 14:27:23 UTC
Assigning CVE-2010-1634 here and setting priority to low.

As noted in the upstream bug, ulaw2lin, alaw2lin and adpcm2lin integer overflows do not lead to buffer overflows.  lin2lin integer overflow can result in buffer overflow - audioop.lin2lin("A"*0x40000001, 1, 4).  ratecv requires special nchannels argument value rather than special / oversize input.

Upstream patches:
  http://svn.python.org/view?rev=81045&view=rev
  http://svn.python.org/view?rev=81079&view=rev

Statement:

The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.

Comment 5 Fedora Update System 2010-06-04 22:04:23 UTC
python-2.6.2-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-2.6.2-8.fc12

Comment 6 Fedora Update System 2010-06-04 22:04:57 UTC
python-2.6.4-27.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-2.6.4-27.fc13

Comment 7 Fedora Update System 2010-06-04 22:05:22 UTC
python-2.6-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-2.6-14.fc11

Comment 8 Fedora Update System 2010-06-04 22:10:39 UTC
python3-3.1.2-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python3-3.1.2-6.fc13

Comment 9 Fedora Update System 2010-06-04 22:11:54 UTC
python26-2.6.5-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python26-2.6.5-5.el5

Comment 10 Fedora Update System 2010-06-14 17:09:32 UTC
python-2.6.4-27.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-07-05 22:04:37 UTC
python-2.6.2-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2011-01-13 23:09:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0027 https://rhn.redhat.com/errata/RHSA-2011-0027.html

Comment 15 errata-xmlrpc 2011-01-14 09:03:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0027 https://rhn.redhat.com/errata/RHSA-2011-0027.html

Comment 16 errata-xmlrpc 2011-05-05 18:56:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0491 https://rhn.redhat.com/errata/RHSA-2011-0491.html

Comment 17 Vincent Danen 2011-05-05 19:55:01 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.